name := "casely"

version := "0.0.1-SNAPSHOT"

scalaVersion := "2.11.6"

libraryDependencies ++= Seq(
  jdbc,
  evolutions,
  "org.webjars" % "jquery" % "2.1.1",
  "org.webjars" % "bootstrap" % "3.3.1",
  "com.google.inject" % "guice" % "4.0",
  "org.projectlombok" % "lombok" % "1.16.6",
  "org.assertj" % "assertj-core" % "2.3.0",
  "junit" % "junit" % "4.11",
  "org.avaje.ebeanorm" % "avaje-ebeanorm-querybean" % "2.1.1"
)

playEbeanModels in Compile := Seq("models.*")
playEbeanDebugLevel := 4

inConfig(Test)(PlayEbean.scopedSettings)
playEbeanModels in Test := Seq("models.*")

// This lets you attach a debugger
//
fork in run := false
fork in Test := false

lazy val root = (project in file(".")).enablePlugins(PlayJava, PlayEbean)
